SSE 4.1/4.2

Discussion in 'Gaming' started by bep1995, Sep 12, 2020.

  1. bep1995

    bep1995 MDL Novice

    Aug 29, 2018
    7
    0
    0
    Hello !! I want to upgrade my gpu from gt 520 to rx 550 or rx 560 so i can play the most of recent games (900p low-medium settings) but I found out that my athlon ii x4 640 doesn't have sse 4.1 or 4.2 and some games require that to play. My question is, if I download cracked game ( far cry 5, assassin's creed odyssey, nfs heat, hitman 2, deus ex mankind divided) can I play them on my current cpu. Does the crack removes that requirement ?? Sorry for my english. Thanks in advance !!